## Apache Zeta Components Manual :: Docs For Class ezcMailMultipartDigest

### Mail::ezcMailMultipartDigest

### Class ezcMailMultipartDigest

The digest multipart type is used to bundle a list of mail objects.

Each part will be shown in the mail in the order provided. It is not necessary to bundle digested mail using a digest object. However, it is considered good practice to do so when several digested mail are sent together.

Source for this file: /Mail/src/parts/multiparts/multipart_digest.php

    ezcMailPart
       |
       --ezcMailMultipart
          |
          --ezcMailMultipartDigest

Version: | //autogen//

### Inherited Constants

From ezcMailMultipart:
`ezcMailMultipart::DEFAULT_NO_MIME_MESSAGE` | Default message displayed to non-MIME capable email clients.

### Inherited Member Variables

From ezcMailMultipart
protected | `ezcMailMultipart::$parts`
From ezcMailPart
protected | `ezcMailPart::$properties`

### Method Summary

public ezcMailMultipartDigest | `__construct( $... )` Constructs a new ezcMailMultipartDigest
public void | `appendPart( $part )` Appends a part to the list of parts.
public array(ezcMail) | `getParts( )` Returns the mail parts associated with this multipart.
public string | `multipartType( )` Returns "digest".

### Inherited Methods

From ezcMailMultipart
public ezcMailMultipart | `ezcMailMultipart::__construct()` Constructs a new ezcMailMultipart with the parts $parts.
public string | `ezcMailMultipart::generateBody()` Returns the generated body for all multipart types.
protected static string | `ezcMailMultipart::generateBoundary()` Returns a unique boundary string.
public abstract string | `ezcMailMultipart::multipartType()` Returns the type of multipart.
From ezcMailPart
public ezcMailPart | `ezcMailPart::__construct()` Constructs a new mail part.
public void | `ezcMailPart::appendExcludeHeaders()` The array $headers will be excluded when the headers are generated.
public string | `ezcMailPart::generate()` Returns the complete mail part including both the header and the body as a string.
public abstract string | `ezcMailPart::generateBody()` Returns the body of this part as a string.
public string | `ezcMailPart::generateHeaders()` Returns the headers set for this part as a RFC 822 string.
public mixed | `ezcMailPart::getHeader()` Returns the RAW value of the header $name.
protected string | `ezcMailPart::getHeaderCharset()` Returns the charset registered for the header $name.
public void | `ezcMailPart::setHeader()` Sets the header $name to the value $value and its charset to $charset.
protected void | `ezcMailPart::setHeaderCharset()` Sets the charset of the header $name to $value.
public void | `ezcMailPart::setHeaders()` Adds the headers $headers.

### Methods

#### __construct

ezcMailMultipartDigest __construct( ezcMailRfc822Digest|array(ezcMailRfc822Digest) $... )

Constructs a new ezcMailMultipartDigest

The constructor accepts an arbitrary number of ezcMail/ezcMailRfc822Digest objects or arrays with objects of these types.

Objects of the type ezcMail are wrapped into an ezcMailRfc822Digest object.

Parts are added in the order provided. Parameters of the wrong type are ignored.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$...` | ezcMailRfc822Digest|array(ezcMailRfc822Digest) |

##### Redefinition of:

Method | Description
--- | ---
`ezcMailMultipart::__construct()` | Constructs a new ezcMailMultipart with the parts $parts.

#### appendPart

void appendPart( ezcMailRfc822Digest $part )

Appends a part to the list of parts.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$part` | ezcMailRfc822Digest |

#### getParts

array(ezcMail) getParts( )

Returns the mail parts associated with this multipart.

#### multipartType

string multipartType( )

Returns "digest".

##### Redefinition of:

Method | Description
--- | ---
`ezcMailMultipart::multipartType()` | Returns the type of multipart.

Documentation generated by phpDocumentor 1.4.3